Bug 665168 - Review Request: nautilus-sendto-trac - Nautilus context menu for sending files to Trac
Summary: Review Request: nautilus-sendto-trac - Nautilus context menu for sending file...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-22 23:48 UTC by Mat Booth
Modified: 2011-02-09 20:19 UTC (History)
3 users (show)

Fixed In Version: nautilus-sendto-trac-0.3.1-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-09 20:19:32 UTC
Type: ---
mail: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Mat Booth 2010-12-22 23:48:10 UTC
Spec URL: http://mbooth.fedorapeople.org/reviews/nautilus-sendto-trac.spec
SRPM URL: http://mbooth.fedorapeople.org/reviews/nautilus-sendto-trac-0.3-1.fc14.src.rpm
Description: 
Nautilus-Sendto-Trac is a plug-in for Nautilus, the file manager for the Gnome
desktop environment, that allows the sending of files and directories to a
Trac instance as ticket attachments.

Comment 1 Fabian Affolter 2011-01-11 19:54:58 UTC
This package fails to build.
http://koji.fedoraproject.org/koji/taskinfo?taskID=2715761

Comment 2 Fabian Affolter 2011-01-11 20:05:48 UTC
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [!] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested: http://koji.fedoraproject.org/koji/taskinfo?taskID=2715761
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop023 SRPMS]$ rpmlint nautilus-sendto-trac-0.3-1.fc14.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@laptop023 x86_64]$ rpmlint nautilus-sendto*
     2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable
 [-] Buildroot is correct (if it's still used)
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: 
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: 9ff3f6c57e7bce802e71e9f2a4146094  nautilus-sendto-trac-0.3.tar.gz
     Build source:    9ff3f6c57e7bce802e71e9f2a4146094  nautilus-sendto-trac-0.3.tar.gz
 [x] Package is not known to require ExcludeArch
 [-] Architecture independent packages have: BuildArch: noarch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [x] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [-] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT (if it's still used)
 [-] Package must own all directories that it creates
 [x] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [-] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT (if it's still used)
 [-] Included tests passed successfully 
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [x] Package does not contain any libtool archives (.la)
 [x] -debuginfo subpackage is present and looks complete
 [x] No pre-built binaries (.a, .so*, executable)
 
 [-] Package contains a properly installed .desktop file if it is a GUI application
 [-] Follows desktop entry spec
 [-] Valid .desktop Name
 [-] Valid .desktop GenericName
 [-] Valid .desktop Categories
 [-] Valid .desktop StartupNotify
 [-] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [!] Timestamps preserved with cp and install
 [x] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [-] Package does not include license text files separate from upstream
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [?] Package functions as described
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

- The package builds on F14 -> http://koji.fedoraproject.org/koji/taskinfo?taskID=2715766 but not on F15. 
- http://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps

Comment 3 Mat Booth 2011-01-11 21:50:47 UTC
(In reply to comment #2)
> 
>  [!] Timestamps preserved with cp and install
> 

Thanks for taking the time to review this package, but could you explain that a little more? I don't use either of those commands in the SPEC file...

Comment 4 Mat Booth 2011-01-11 23:10:11 UTC
Regarding the build failures, it would seem that the reason it fails in rawhide is because nautilus-sendto is built against gtk3 (it is built against gtk2 in F14) and there has been an API change between gtk2 and gtk3 that affects this package.

I am the upstream developer, so I will try to fix it so that the same version of nautilus-sendto-trac builds under both environments.

Comment 6 Fabian Affolter 2011-01-17 16:27:51 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > 
> >  [!] Timestamps preserved with cp and install
> > 
> 
> Thanks for taking the time to review this package, but could you explain that a
> little more? I don't use either of those commands in the SPEC file...

It's about the installation: 'make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"' instead of 'make install DESTDIR=$RPM_BUILD_ROOT'

Actually I'm not sure if it's needed because there is not much in this package.

Comment 8 Fabian Affolter 2011-01-28 18:14:48 UTC
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested F-14: https://koji.fedoraproject.org/koji/taskinfo?taskID=2748094
     Tested F-15: https://koji.fedoraproject.org/koji/taskinfo?taskID=2748103
 [x] Timestamps preserved with cp and install
 [x] Package functions as described

I see no further blocker, package APPROVED

Comment 9 Mat Booth 2011-01-29 22:27:24 UTC
Thanks, Fabian.


New Package SCM Request
=======================
Package Name: nautilus-sendto-trac
Short Description: Nautilus context menu for sending files to Trac
Owners: mbooth
Branches: F14

Comment 10 Dennis Gilmore 2011-01-31 00:05:45 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2011-01-31 18:30:55 UTC
nautilus-sendto-trac-0.3.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nautilus-sendto-trac-0.3.1-2.fc14

Comment 12 Fedora Update System 2011-02-01 20:54:43 UTC
nautilus-sendto-trac-0.3.1-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nautilus-sendto-trac'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/nautilus-sendto-trac-0.3.1-2.fc14

Comment 13 Fedora Update System 2011-02-09 20:19:27 UTC
nautilus-sendto-trac-0.3.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.